Bug 862601 - Konqueror: default web browsing KPart unexpectedly changed to WebKitPart
Konqueror: default web browsing KPart unexpectedly changed to WebKitPart
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kwebkitpart (Show other bugs)
17
All Linux
unspecified Severity urgent
: ---
: ---
Assigned To: nucleo
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-03 07:14 EDT by Kevin Kofler
Modified: 2012-12-20 10:22 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:22:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2012-10-03 07:14:02 EDT
Description of problem:
With the 4.9.1 update on F17, the default web browsing KPart in Konqueror unexpectedly changed from KHTML to KWebKitPart, breaking features such as "Stop Animations".

Version-Release number of selected component (if applicable):
kde-baseapps-4.9.1-2.fc17.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Check the browsing part in use, or try to use any of the KHTML features the KWebKitPart is still lacking.
  
Actual results:
KWebKitPart is the default.

Expected results:
KHTML is the default, as it has always been.

Additional info:
Workaround: manually change the default in the preferences.
Comment 1 Rex Dieter 2012-10-03 07:41:17 EDT
kwebkitpart's /usr/share/kde4/services/kwebkitpart.desktop seems to have up'd
InitialPreference=11
which is higher than kthml's 10 now.
Comment 2 Rex Dieter 2012-10-04 09:54:06 EDT
Here's the commit from David Faure:

https://projects.kde.org/projects/extragear/base/kwebkitpart/repository/revisions/49ea6284cc46e8a24d04a564d4c8680ebd2b0f74

With interesting commit log:  "Make initial setup easier"
Comment 3 Fedora Update System 2012-10-04 10:56:51 EDT
kwebkitpart-1.3.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kwebkitpart-1.3.0-1.fc17
Comment 4 Fedora Update System 2012-10-04 20:55:45 EDT
Package kwebkitpart-1.3.0-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kwebkitpart-1.3.0-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15411/kwebkitpart-1.3.0-1.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-12-20 10:22:35 EST
kwebkitpart-1.3.0-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.